curl --request POST \
--url https://matcher.sandbox.lerian.net/v1/matching/manual \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"transactionIds": [
"019c96a0-10ce-75fc-a273-dc799079a99c"
],
"notes": "Manual match for Q4 reconciliation"
}
'import requests
url = "https://matcher.sandbox.lerian.net/v1/matching/manual"
payload = {
"transactionIds": ["019c96a0-10ce-75fc-a273-dc799079a99c"],
"notes": "Manual match for Q4 reconciliation"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
transactionIds: ['019c96a0-10ce-75fc-a273-dc799079a99c'],
notes: 'Manual match for Q4 reconciliation'
})
};
fetch('https://matcher.sandbox.lerian.net/v1/matching/manual', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"matchGroup": {
"confidence": {},
"confirmedAt": "<string>",
"contextId": "<string>",
"createdAt": "<string>",
"id": "<string>",
"items": [
{
"allocatedAmount": "<string>",
"allocatedCurrency": "<string>",
"allowPartial": true,
"createdAt": "<string>",
"expectedAmount": "<string>",
"id": "<string>",
"matchGroupId": "<string>",
"sourceId": "<string>",
"sourceName": "<string>",
"transactionId": "<string>",
"updatedAt": "<string>"
}
],
"reasonCodes": [
"<string>"
],
"rejectedReason": "<string>",
"ruleId": "<string>",
"runId": "<string>",
"updatedAt": "<string>"
}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}Crear una coincidencia manual
Utilice este endpoint para vincular manualmente múltiples transacciones (mínimo 2) en un grupo de coincidencias con una confianza del 100%. Las transacciones deben estar NO CONCILIADAS y pertenecer al contexto especificado.
Autorizaciones
Autenticación con token Bearer (formato: "Bearer {token}")
Encabezados
A unique identifier for tracing the request across services.
Clave de idempotencia opcional para reintentos seguros. También acepta Idempotency-Key como nombre de encabezado alternativo. Si se envía la misma clave nuevamente y la solicitud original ya fue procesada, se devuelve la respuesta en caché con X-Idempotency-Replayed: true.
Consulte Reintentos e idempotencia para más detalles.
Parámetros de consulta
Context ID
Cuerpo
Payload de coincidencia manual
Respuesta
Indica que el recurso fue creado correctamente.
La respuesta incluye el encabezado X-Idempotency-Replayed.
Si el valor es false, la solicitud acaba de ser procesada. Si el valor es true, la respuesta es una repetición de una solicitud procesada anteriormente.
Consulte Reintentos e idempotencia para más detalles.
Show child attributes
Show child attributes
¿Esta página le ayudó?

